/* Reflow Oven Controller
*
* Copyright (C) 2022  Mario Hüttel <mario.huettel@gmx.net>
*
* This file is part of the Reflow Oven Controller Project.
*
* The reflow oven controller is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License version 2 as
* published by the Free Software Foundation.
*
* The Reflow Oven Control Firmware is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with the reflow oven controller project.
* If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _SAFETY_FLASH_CRC_STRUCT_H_
#define _SAFETY_FLASH_CRC_STRUCT_H_

#include <stdint.h>

struct flash_crcs {
    uint32_t start_magic;
    uint32_t crc_section_text;
    uint32_t crc_section_data;
    uint32_t crc_section_ccm_data;
    uint32_t crc_section_vectors;
    uint32_t end_magic;
};

extern const struct flash_crcs crcs_in_flash;

#endif /* _SAFETY_FLASH_CRC_STRUCT_H_ */
